
package com.tmerclub.cloud.delivery.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

/**
 * 网点配置VO
 *
 * @author TRACK
 * @date 2023-08-23 14:48:23
 */
public class OutletConfigVO extends BaseVO{
    private static final long serialVersionUID = 1L;

    @Schema(description = "网点配置id")
    private Long outletConfigId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "供应商id")
    private Long supplierId;

    @Schema(description = "快递公司类型")
    private Integer deliveryCompanyType;

    @Schema(description = "发货人")
    private String shipper;

    @Schema(description = "发货人电话")
    private String mobile;

    @Schema(description = "电子面单客户账户或月结账号")
    private String partnerId;

    @Schema(description = "电子面单密码")
    private String partnerKey;

    @Schema(description = "收件网点名称")
    private String net;

    @Schema(description = "纸张规格 1.一联面单 2.二联面单")
    private Integer paperSize;

    @Schema(description = "是否默认 0否1是")
    private Integer isDefault;

    @Schema(description = "发货地址")
    private String printAddr;

    public Long getOutletConfigId() {
        return outletConfigId;
    }

    public void setOutletConfigId(Long outletConfigId) {
        this.outletConfigId = outletConfigId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public Integer getDeliveryCompanyType() {
        return deliveryCompanyType;
    }

    public void setDeliveryCompanyType(Integer deliveryCompanyType) {
        this.deliveryCompanyType = deliveryCompanyType;
    }

    public String getShipper() {
        return shipper;
    }

    public void setShipper(String shipper) {
        this.shipper = shipper;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getPartnerId() {
        return partnerId;
    }

    public void setPartnerId(String partnerId) {
        this.partnerId = partnerId;
    }

    public String getPartnerKey() {
        return partnerKey;
    }

    public void setPartnerKey(String partnerKey) {
        this.partnerKey = partnerKey;
    }

    public String getNet() {
        return net;
    }

    public void setNet(String net) {
        this.net = net;
    }

    public Integer getPaperSize() {
        return paperSize;
    }

    public void setPaperSize(Integer paperSize) {
        this.paperSize = paperSize;
    }

    public Integer getIsDefault() {
        return isDefault;
    }

    public void setIsDefault(Integer isDefault) {
        this.isDefault = isDefault;
    }

    public String getPrintAddr() {
        return printAddr;
    }

    public void setPrintAddr(String printAddr) {
        this.printAddr = printAddr;
    }

    @Override
    public String toString() {
        return "OutletConfigVO{" +
                "outletConfigId=" + outletConfigId +
                ", shopId=" + shopId +
                ", supplierId=" + supplierId +
                ", deliveryCompanyType=" + deliveryCompanyType +
                ", shipper='" + shipper + '\'' +
                ", mobile='" + mobile + '\'' +
                ", partnerId='" + partnerId + '\'' +
                ", partnerKey='" + partnerKey + '\'' +
                ", net='" + net + '\'' +
                ", paperSize=" + paperSize +
                ", isDefault=" + isDefault +
                ", printAddr='" + printAddr +
                '}';
    }
}
